Behind the Blackboard Web Conferencing - System Requirements for Blackboard Collaborate Web Conferencing 12.6 - Behind the Blackboard Skip Navigation
Print article

Web Conferencing - System Requirements for Blackboard Collaborate Web Conferencing 12.6

Date Published: Nov 04,2014 Category:Product:First_Time_Users; Version:Web_Conferencing Article No.: 000037388

Product: Collaborate -Web Conferencing


Client Technology:

Blackboard Collaborate Web Conferencing System Requirements

 

Below, please find the supported Operating Systems, supported Internet Browsers, and recommended system specifications for using Blackboard Collaborate web conferencing 12.6.

Definitions of Terms

Certified: fully tested and supported.
Compatible: partially tested and supported.
Provisional: untested but supported.
Unsupported: impossible or not supported.

Note: Later versions of a browser or operating system labeled Compatible or Certified are provisionally supported by Blackboard Collaborate Support unless otherwise noted.

Blackboard Collaborate Web Conferencing

 Internet Explorer 8Internet Explorer 9Internet Explorer 10Internet Explorer 11Firefox (Latest Stable Release)Chrome (Stable Channel)
Windows® XP (32 bit with 32 bit JVM only) CompatibleCertifiedUnsupportedUnsupportedCompatibleCompatible
Windows Vista®CompatibleCertifiedUnsupportedUnsupportedCompatibleCompatible
Windows 7CompatibleCertifiedProvisionalCertifiedCertifiedCertified
Windows 8UnsupportedUnsupportedCertifiedCertifiedCertifiedCertified
 Safari
6.0
Safari 7.0Safari 8.0Firefox (Latest Stable Release)Chrome (Stable Channel)
Mac OS 10.7ProvisionalProvisionalUnsupportedProvisionalUnsupported - Please review the end note below if using Java 7 with Mac.
Mac OS 10.8CertifiedUnsupportedUnsupportedCertifiedUnsupported - Please review the end note below if using Java 7 with Mac.
Mac OS 10.9UnsupportedCertifiedCertifiedCertifiedUnsupported - Please review the end note below if using Java 7 with Mac.
Mac OS  10.10UnsupportedUnsupportedProvisional - Please review end note below about about using the Blackboard Collaborate Launcher.Provisional - Please review end note below about about using the Blackboard Collaborate Launcher.Unsupported - Please review the end note below if using Java 7 with Mac.
 Firefox (Latest Stable Release)*
Ubuntu 11.10 (64 bit with 64 bit JVM)Compatible

Firefox (Latest Stable Release) - For information on Firefox's public development channels, refer to Firefox's Releases page. All other Firefox channels are unsupported.

Chrome (Stable Channel) - For information on Chrome's release channels, refer to the Chrome Release Channels page. All other Chrome channels are unsupported. Chrome does not support Java 7 on the Mac platform.  A 64-bit browser (Safari or Firefox, for example) is required to run Java 7 on Mac OS X. 32-bit browsers such as Chrome do not support Java 7 on the Mac platform.

Chrome OS - Chrome OS and Chromebooks are NOT supported for use with Blackboard Collaborate web conferencing.

Important Note for Mac OS 10.10 users - Java 8 is NOT supported, you must use the Blackboard Collaborate Launcher to launch your sessions and recordings.  Please review KBA 000037998 for more information on how to download the Blackboard Collaborate Launcher.
 

Supported Java Versions

Note: 32 bit operating systems require a 32 bit JVM. 64 bit operating systems require a 64 bit JVM.

Operating SystemJava Versions (JRE)
Windows XP, Vista, 7,8 

Java 7 and Java 8
Java Access Bridge 2.0.1

Mac OS X


Oracle Java 7

LinuxJava 7 and Java 8
64 bit JVM's with 64 bit Operating Systems

 Additional Requirements:

  • 256 MB RAM
  • 20 MB free disk space
  • Internet Access - 28.8 kbps speed or above (Broadband connection highly recommended)
  • Soundcard with microphone and headphones (A headset with microphone/headphones is highly recommended)
  • Webcam (optional) 
  • Note: Thin client solutions such as Citrix Metaframe are not supported for use with Blackboard Collaborate web conferencing.

System Requirements for Blackboard Collaborate mobile web conferencing:

Blackboard Collaborate Mobile web conferencing system requirements: Mobile - System Requirements for Blackboard Collaborate Mobile Web Conferencing

Supported Document Versions:

To find out which versions of Microsoft PowerPoint and OpenOffice/StarOffice Impress are supported in Blackboard Collaborate please refer to Blackboard Collaborate - What versions of Microsoft PowerPoint and OpenOffice/StarOffice Impress can I use with Blackboard Collaborate Web Conferencing?



The information contained in the Knowledge Base was written and/or verified by Blackboard Support. It is approved for client use. Nothing in the Knowledge Base shall be deemed to modify your license in any way to any Blackboard product. If you have comments, questions, or concerns, please send an email to kb@blackboard.com. © 2015 Blackboard Inc. All rights reserved



 

Copyright © 1997-2015. Blackboard Inc. All rights reserved. Blackboard, the Blackboard logo, BbWorld, Blackboard Learn, Blackboard Transact, Blackboard Connect, Blackboard Mobile, Blackboard Collaborate, Blackboard Analytics, Blackboard Engage, Edline, the Edline logo, the Blackboard Outcomes System, Behind the Blackboard, and Connect-ED are trademarks or registered trademarks of Blackboard Inc. or its subsidiaries in the United States and/or other countries. Blackboard products and services may be covered by one or more of the following U.S. Patents: 8,265,968, 7,493,396; 7,558,853; 6,816,878, 8,150,925.